{
    attributes = (
        {
            columnName = "C_DEP"; 
            externalType = VARCHAR2; 
            name = cDep; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            columnName = "C_INSEE"; 
            externalType = VARCHAR2; 
            name = cInsee; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            columnName = "C_POSTAL"; 
            externalType = VARCHAR2; 
            name = cPostal; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            columnName = "LC_COM"; 
            externalType = VARCHAR2; 
            name = lcCom; 
            valueClassName = NSString; 
            valueType = S; 
            width = 32; 
        }, 
        {
            columnName = "LL_COM"; 
            externalType = VARCHAR2; 
            name = llCom; 
            valueClassName = NSString; 
            valueType = S; 
            width = 60; 
        }
    ); 
    attributesUsedForLocking = (cInsee, llCom, cPostal, cDep, lcCom); 
    className = "org.cocktail.kava.server.metier.EOCommune"; 
    classProperties = (cInsee, llCom, cPostal, cDep, lcCom); 
    externalName = "grhum.v_commune"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (cInsee, llCom, cPostal, cDep, lcCom); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOCommune"; 
        "_nameInObjectStore" = "GRHUM.V_COMMUNE"; 
    }; 
    isReadOnly = Y; 
    name = Commune; 
    primaryKeyAttributes = (cInsee, cPostal); 
}
